{% extends 'layouts/base.html.twig' %}

{% block title parent() ~ ' . detail' %}

{% block body %}
	<h1 class="mb-5">{{event.name}}</h1>

	<article class="row">
		<div class="col mx-auto">
			<div class="card opacity-75">
				<div class="card-body">
					<div class="row row-cols-2 mb-3">
						<img src="{{asset('build/images/events/' ~ event.imageFileName) }}" class="w-50 rounded-top" alt="{{event.name}}">
						<div>
							<h2 class="card-text">Location :
								{{event.location}}</h2>
							<h3 class="card-text">Date :
								{{event.startAt|date("d-m-Y", "Europe/Paris") }}</h3>
							<h4 class="text-muted mt-4">{{pluralize(event.capacity, 'spot', 'spots')}}</h4>
							<h4 class="text-muted mt-4"> Price :{{ format_price(event) | raw }}</h4>
						</div>
					</div>

					<p class="card-text">{{ event.description }}</p>

					<div class="d-grid position-relative">
						{{ register_link_or_solde_out(event)}}
					</div>

					<div class="d-flex bd-highlight mb-3">
						<div class="p-2 bd-highlight">
							<a href="{{path('app_home')}}">🏠 Home</a>
						</div>
						<div class="p-2 bd-highlight">
							<a href="{{path('app_edit',{'id': event.id})}}">✏️ Edit event</a>
						</div>
						<div class="p-2 bd-highlight">
							<a href="{{ path('app_registrations',{'id': event.id}) }}">👥 Who's registred ?</a>
						</div>


						<div class="ms-auto p-2 bd-highlight">
							<a href="#" onclick="event.preventDefault(); confirm('Êtes-vous sûr ?') &&
																																								                            document.getElementById('js-deletion-form').submit();" class="text-danger justify-content-end">❌ Delete
							</a>
						</div>
						<form id="js-deletion-form" action="{{path('app_delete',{'id': event.id})}}" method="POST">
							<input type="hidden" name="csrf_token" value="{{csrf_token('token_delete_event_' ~ event.id)}}">
						</form>
					</div>

				</div>
			</div>
		</div>
	</article>

{% endblock %}
